SimpleTerm (Lucene 2.4.1 API)
Keywords: org.apache.lucene.queryParser.surround.query.SimpleTerm class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.surround.query
Class SimpleTerm

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.SimpleTerm

All Implemented Interfaces:
  Cloneable, Comparable, DistanceSubQuery

Direct Known Subclasses:
  SrndPrefixQuery, SrndTermQuery, SrndTruncQuery

    public abstract class SimpleTerm

extends SrndQuery
implements DistanceSubQuery, Comparable

Nested Class Summary
`static interface` | `SimpleTerm.MatchingTermVisitor`

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`SimpleTerm(boolean q)`

Method Summary
`void` | `addSpanQueries(SpanNearClauseFactory sncf)`
`int` | `compareTo(Object o)`
`String` | `distanceSubQueryNotAllowed()` When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
`String` | `getFieldOperator()`
`String` | `getQuote()`
`Query` | `makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
`protected void` | `suffixToString(StringBuffer r)`
`String` | `toString()`
`abstract String` | `toStringUnquoted()`
`abstract void` | `visitMatchingTerms(IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleTerm

    public SimpleTerm(boolean q)

Method Detail

### getQuote

    public String getQuote()

### getFieldOperator

    public String getFieldOperator()

### toStringUnquoted

    public abstract String toStringUnquoted()

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### suffixToString

    protected void suffixToString(StringBuffer r)

### toString

    public String toString()

  Specified by:
    `toString` in class `SrndQuery`

### visitMatchingTerms

    public abstract void visitMatchingTerms(IndexReader reader,
                                            String fieldName,
                                            SimpleTerm.MatchingTermVisitor mtv)
                                     throws IOException

  Throws:
    `IOException`

### distanceSubQueryNotAllowed

    public String distanceSubQueryNotAllowed()

  Description copied from interface: `DistanceSubQuery`
  When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
  When distanceSubQueryNotAllowed() returns null addSpanNearQueries() can be used in the creation of the span near clause for the subquery.

  Specified by:
    `distanceSubQueryNotAllowed` in interface `DistanceSubQuery`

### makeLuceneQueryFieldNoBoost

    public Query makeLuceneQueryFieldNoBoost(String fieldName,
                                             BasicQueryFactory qf)

  Specified by:
    `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

### addSpanQueries

    public void addSpanQueries(SpanNearClauseFactory sncf)
                        throws IOException

  Specified by:
    `addSpanQueries` in interface `DistanceSubQuery`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.